<?php

namespace AppBundle\Repository;

/**
 * AcEtablissementRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class AcEtablissementRepository extends \Doctrine\ORM\EntityRepository {

    public function GetEtablissement($id) {
        try {

            $query = $this->getEntityManager()->getRepository('AppBundle:AcEtablissement')->findBy(array('active' => 1));

            $result = '<option>choix Etablissement ....</option>';
            foreach ($query as $key => $value) {
                $selected = ($id == $value->getId()) ? "selected='selected'" : '';
                $result .= '<option value = "' . $value->getId() . '">' . $value->getDesignation() . '</option>';
            }




            return $result;
        } catch (\Doctrine\ORM\NoResultException $e) {
            return null;
        }
    }
    
    
    
    
    
        public function GetAnne($id) {
        try {

            $query = $this->getEntityManager()->getRepository('AppBundle:AcAnnee')->findAll();

            $result = '<option>choix Année ....</option>';
            foreach ($query as $key => $value) {
                $selected = ($id == $value->getId()) ? "selected='selected'" : '';
                $result .= '<option value = "' . $value->getId() . '">' . $value->getDesignation() . '</option>';
            }




            return $result;
        } catch (\Doctrine\ORM\NoResultException $e) {
            return null;
        }
    }
    
    
    
    
    
    
    
    
    
    

    public function GetFormation($AcEtablissement, $id) {
        try {
            $query = $this->getEntityManager()->getRepository('AppBundle:AcFormation')->findBy(array('etablissement' => $AcEtablissement, 'active' => 1));
            $result = '<option>choix formation ....</option>';
            foreach ($query as $key => $value) {
                $selected = ($id == $value->getId()) ? "selected='selected'" : '';
                $result .= "<option $selected value='" . $value->getId() . "'>" . $value->getDesignation() . "</option>";
            }
            return $result;
        } catch (\Doctrine\ORM\NoResultException $e) {
            return null;
        }
    }

    public function GetPromotion($AcFormation, $id) {
        try {
            $query = $this->getEntityManager()->getRepository('AppBundle:AcPromotion')->findBy(array('formation' => $AcFormation, 'active' => 1));
             $result = '<option>choix Promotion ....</option>';
            foreach ($query as $key => $value) {
                $selected = ($id == $value->getId()) ? "selected='selected'" : '';
                $result .= "<option $selected value='" . $value->getId() . "'>" . $value->getDesignation() . "</option>";
            }
            return $result;
        } catch (\Doctrine\ORM\NoResultException $e) {
            return null;
        }
    }
    
      public function GetSemestre($AcPromotion, $id) {
        try {
            $query = $this->getEntityManager()->getRepository('AppBundle:AcSemestre')->findBy(array('promotion' => $AcPromotion, 'active' => 1));
             $result = '<option>choix Semestre ....</option>';
            foreach ($query as $key => $value) {
                $selected = ($id == $value->getId()) ? "selected='selected'" : '';
                $result .= "<option $selected value='" . $value->getId() . "'>" . $value->getDesignation() . "</option>";
            }
            return $result;
        } catch (\Doctrine\ORM\NoResultException $e) {
            return null;
        }
    }

    public function GetAnnee($AcEtablissement, $AcFormation) {
        try {
            $query = $this->getEntityManager()->getRepository('AppBundle:AcAnnee')->findBy(array('etablissement' => $AcEtablissement, 'formation' => $AcFormation ,'validationAcademique' =>'non'));
           $result = '<option>choix Année ....</option>';
            foreach ($query as $key => $value) {
               
                $result .= "<option  value='" . $value->getId() . "'>" . $value->getDesignation() . "</option>";
            }
            return $result;
        } catch (\Doctrine\ORM\NoResultException $e) {
            return null;
        }
    }
    
    
    
    public function GetGroupe() {
        try {
            $query = $this->getEntityManager()->getRepository('AppBundle:DivisionGroupe')->findAll();
             $result = '<option>choix Groupe ....</option>';
            foreach ($query as $key => $value) {
                
                $result .= "<option  value='" . $value->getId() . "' >" . $value->getDesignation() . "</option>";
            }
            return $result;
        } catch (\Doctrine\ORM\NoResultException $e) {
            return null;
        }
    }
    
    
     public function GetGroupeDetails($DivisionGroupe , $id) {
        try {
            $query = $this->getEntityManager()->getRepository('AppBundle:DivisionGroupeDetail')->findBy(array('divisionGroupe' => $DivisionGroupe));
             $result = '<option>choix Groupe Détails ....</option>';
            foreach ($query as $key => $value) {
                 $selected = ($id == $value->getId()) ? "selected='selected'" : '';
                $result .= "<option $selected value='" . $value->getId() . "'>" . $value->getDesignation() . "</option>";
            }
            return $result;
        } catch (\Doctrine\ORM\NoResultException $e) {
            return null;
        }
    }

}
